function [kernel] = wavenumber_function_sphere_shell(frequency,x1,x2)
    c = 3e8;
    k0 = 2*pi*frequency(1)/c;
    k1 = 2*pi*frequency(2)/c;
    if(x1==x2)
        kernel = (k0^3-k1^3)/(6*pi^2);
    else
    kernel = 1/(2*pi^2)*(sin(k0*norm(x1-x2))/norm(x1-x2)^3-k0*cos(k0*norm(x1-x2))/norm(x1-x2)^2);
    kernel = kernel-1/(2*pi^2)*(sin(k1*norm(x1-x2))/norm(x1-x2)^3-k1*cos(k1*norm(x1-x2))/norm(x1-x2)^2);
    end
end